Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.jeditplugin
Class JasonIDPlugin

    java.lang.Object
      org.gjt.sp.jedit.EditPlugin
          org.gjt.sp.jedit.EBPlugin
              jason.jeditplugin.JasonIDPlugin

All Implemented Interfaces:
  org.gjt.sp.jedit.EBComponent

    public class JasonIDPlugin

extends org.gjt.sp.jedit.EBPlugin

Nested Class Summary

Nested classes/interfaces inherited from class org.gjt.sp.jedit.EditPlugin
`org.gjt.sp.jedit.EditPlugin.Broken, org.gjt.sp.jedit.EditPlugin.Deferred, org.gjt.sp.jedit.EditPlugin.JAR`

Field Summary
`static java.lang.String` | `MENU`
`static java.lang.String` | `NAME`
`static java.lang.String` | `OPTION_PREFIX`
`static java.lang.String` | `PROPERTY_PREFIX`

Constructor Summary
`JasonIDPlugin()`

Method Summary
`void` | `handleMessage(org.gjt.sp.jedit.EBMessage msg)`
`void` | `start()`

Methods inherited from class org.gjt.sp.jedit.EditPlugin
`createBrowserMenuItems, createMenuItems, createMenuItems, createOptionPanes, getClassName, getJAR, getPluginJAR, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAME

    public static final java.lang.String NAME

See Also:
  Constant Field Values

### MENU

    public static final java.lang.String MENU

See Also:
  Constant Field Values

### PROPERTY_PREFIX

    public static final java.lang.String PROPERTY_PREFIX

See Also:
  Constant Field Values

### OPTION_PREFIX

    public static final java.lang.String OPTION_PREFIX

See Also:
  Constant Field Values

Constructor Detail

### JasonIDPlugin

    public JasonIDPlugin()

Method Detail

### handleMessage

    public void handleMessage(org.gjt.sp.jedit.EBMessage msg)

  Specified by:
    `handleMessage` in interface `org.gjt.sp.jedit.EBComponent`
  Overrides:
    `handleMessage` in class `org.gjt.sp.jedit.EBPlugin`

### start

    public void start()

  Overrides:
    `start` in class `org.gjt.sp.jedit.EditPlugin`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD